Add the Filter by Location (spatial search facility for bbox) to GRSF_ADMIN Catalogue
Oct 04, 2019 10:11 AM - Francesco Mangiacrapa

Status: Closed Start date: Oct 04, 2019
Priority: High Due date:

Assignee: Francesco Mangiacrapa % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

The Spatial Search Widget has to be added to GRSF_ADMIN Catalogue in order to provide to end-users the Filter by Location
(spatial queries for bounding box).
@aureliano.gentile@fao.org let me know if the facility (Spatial Search Widget) must also be added to GRSF Catalogue.

History

#1 - Oct 07, 2019 11:31 AM - Francesco Mangiacrapa

- Status changed from New to In Progress

#2 - Oct 07, 2019 04:28 PM - Francesco Mangiacrapa
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The spatial search facility has been activated by the Spatial Search Widget in the GRSF and GRSF_ADMIN catalogues.

For GRSF see at https:/bluebridge.d4science.org/group/grsf/data-catalogue?path=/dataset
For GRSF_ADMIN see at https://bluebridge.d4science.org/group/grsf_admin/data-catalogue?path=/dataset

@aureliano.gentile@fao.org let me know if it's OK for you

#3 - Oct 07, 2019 07:28 PM - Aureliano Gentile

With many thanks!

We are making some tests and we'll revert to you.

At first glance | see that the due to the bounding box logic some results look not consistent (e.g. Atlantic big eye in a Mediterranean bbox selection)
but that it is upon data and the computation of the bbox for the GRSF records, not upon the functionality of the widget.

#4 - Oct 09, 2019 04:30 PM - Aureliano Gentile
- File screenshot-bluebridge.d4science.org-2019.10.09-16_15_12.png added
Thanks again, the overall functionality seems fine. Here are our comments for your consideration.
1. We noticed the widget is displayed by filtering by "all records", "types" and "tags"; but it is not shown if filter by any groups. Any chance to have
it?
2. The "Filter by location" works also in combination with tags, groups etc. The point is that the user has no insight that the search results are the
combination of selected filters (types, groups, tags) and the bounding box. Is it possible to display a "bbox" filter with the coordinates or
something equivalent just to clearly indicate all applied filters for that specific result. E.g. Types: Assessment Unit Groups: Abundance Level

Coordinates:[-142.1138,-55.4548],[-142.1138,59.2991],[-70.24,59.2991],[-70.24,-55.4548],[- 142.1138,-55.4548]
3. Any chance to have the widget also in the home page? ;-) https:/bluebridge.d4science.org/group/grsf/data-catalogue ?path=/dataset

#5 - Oct 10, 2019 12:25 PM - Francesco Mangiacrapa

Hi @aureliano.gentile@fao.org,
thanks for your feedback.
Aureliano Gentile wrote:
Thanks again, the overall functionality seems fine. Here are our comments for your consideration.

1. We noticed the widget is displayed by filtering by "all records”, "types" and "tags"; but it is not shown if filter by any groups. Any chance to
have it?
If I understood properly, you would like the Spatial Widget to be visible/working in the page of Groups (e.g. for "Abundance-Level" at
https://bluebridge.d4science.org/catalogue-grsf?path=/group/abundance-level), at the moment, this task is not scheduled maybe in the future it will
be.

1. The "Filter by location" works also in combination with tags, groups etc. The point is that the user has no insight that the search results are
the combination of selected filters (types, groups, tags) and the bounding box. Is it possible to display a "bbox" filter with the coordinates or
something equivalent just to clearly indicate all applied filters for that specific result. E.g. Types: Assessment Unit Groups: Abundance
Level Coordinates:[-142.1138,-55.4548],[-142.1138,59.2991],[-70.24,59.2991],[-70.24,-55.4548],[-142.1138,-55.4548]

The BBOX filtering when is active shows in the Spatial Widget the BBOX filter in action (as shown in the screenshot attached). Grouping of all applied
filters as textual tags could be a future enhancements but it is not feasible in the short period.

1. Any chance to have the widget also in the home page? ;-) https://bluebridge.d4science.org/group/grsf/data-catalogue?path=/dataset

Yes. I'm working on it (you can see the progress at #17678). | hope to release it before of your meeting in November.

#6 - Oct 10, 2019 12:32 PM - Aureliano Gentile

ok thanks again, it is already a nice improvement and | understand the constraints. As you are saying, let's see if the widget can at least be activated
in the home page, and for the rest "aspettiamo tempi migiori";-)

#7 - Oct 11, 2019 11:57 AM - Francesco Mangiacrapa

- File BBOX PLACEHOLDERS Catalogue PRE.png added

Aureliano Gentile wrote:
ok thanks again, it is already a nice improvement and | understand the constraints. As you are saying, let's see if the widget can at least be
activated in the home page, and for the rest "aspettiamo tempi migiori";-)

Exactly :-)

@aureliano.gentile@fao.org the Spatial Widget has been integrated (and it is under testing) in the Home Page of PREPROD env (see at
https://pre.d4science.org/catalogue) and is a candidate to be released in the short term.

Now, could you kindly provide us with a list of location/POI extent (I don't know... e.g. Mediterranean Sea, Gulf of Mexico, etc.) for GRSF that will be
displayed as BBOX placeholders (see the screenshot attached) and directly usable by users in the "Browse by Location Extent" facility?

The BBOX coordinates must be in the EPSG 4326 projection with the format:
LOCATION = minLongitude, minLatitude, maxLongitude, maxLatitude
e.g. for Antartica it could be:

Antarctica=-180,-90,180,-63.2706604895

#8 - Oct 11, 2019 12:31 PM - Aureliano Gentile

Great, thanks!

I think it could be the list of the 19 FAO areas.

| am proposing FAO areas similarly to what we have done in firms home page http:/firms.fao.org , later on we may have other type of pre-cooked
suggested area filters.

@emmanuel.blondel1@gmail.com what do you think? other suggestions?

In any case, can you add bounding box coordinates for the FAO areas listed hereafter as per Francesco's specifications?

Area 18 (Arctic Sea)

Area 21 (Atlantic, Northwest)
Area 27 (Atlantic, Northeast)
Area 31 ( Atlantic, Western Central)
Area 34 (Atlantic, Eastern Central)
Area 37 (Mediterranean and Black Sea)
Area 41 (Atlantic, Southwest)
Area 47 (Atlantic, Southeast)
Area 48 (Atlantic, Antarctic)
Area 51 ( Indian Ocean, Western)

Area 57 (Indian Ocean, Eastern)

Area 58 (Indian Ocean, Antarctic and Southern)
Area 61 (Pacific, Northwest)

Area 67 (Pacific, Northeast)

Area 71 (Pacific, Western Central)
Area 77
Area 81
Area 87
Area 88

Pacific, Eastern Central)
Pacific, Southwest)
Pacific, Southeast)
Pacific, Antarctic)

—_~ e~~~

#10 - Oct 11, 2019 05:16 PM - Aureliano Gentile
- File Capture.JPG added

Dear Francesco, while we are waiting for Emmanuel providing the coordinates for the fao areas, | was thinking if that widget can be bigger by default
in the homepage.

See attached screenshot for example.

| tested with a couple of colleagues and clearly it has a much better impact if the world map is bigger. With thanks.

#11 - Oct 14, 2019 04:32 PM - Francesco Mangiacrapa

Aureliano Gentile wrote:
Dear Francesco, while we are waiting for Emmanuel providing the coordinates for the fao areas, | was thinking if that widget can be bigger by
default in the homepage.

See attached screenshot for example.
| tested with a couple of colleagues and clearly it has a much better impact if the world map is bigger. With thanks.

Hi @aureliano.gentile@fao.org,

| just revised (like you suggested, thanks for this) the Spatial Widget (the map) position and its dimension in the Home Page. You can visit the link
https://pre.d4science.org/catalogue to view it.

Any update about the FAO areas?

| would like to add the FAO areas soon and release the Spatial Widget in the Home Page of GRSF Catalogue (as first use case :-))

#12 - Oct 14, 2019 04:42 PM - Aureliano Gentile

Thanks Francesco, but sorry | do not get anything at https://pre.d4science.org/catalogue (after a while loading, it returns an empty page). In any case
| trust you have done well.
| asked @emmanuel.blondel1 @gmail.com to help with the coordinates and soon we should have them.

#13 - Oct 14, 2019 06:50 PM - Emmanuel Blondel

Hello, apologies, | hadn't forgot this task, but | have been stuck all the day in devs and an workshop preparation call. Here is the list of FAO major
areas with the bounding box in the requested format. For the label, it's processed only with the FAO major area code. | let Aureliano complete this in
case he wants more labeling:

18=-180,50.735,180,89.99
21=-82.1588,34.9053,-42,78.1667
27=-44,36,68.5,89.99
31=-97.8883,5,-40,36
34=-40,-6.0975,13.1789,36
37=-5.61,30.2639,41.7761,47.2805
41=-69.6095,-60,-20,5
47=-20,-50,30,-6
48=-84.1019,-83.0411,30,-50
51=30,-45,80,30.5192
57=77,-55,150,23.598
58=30,-72.4269,150,-45
61=-180,15,180,66.4148
67=-175,40,-122.2911,66.1334
71=-180,-28.15,180,20
77=-175,-25,-77.7792,40.5
81=-180,-60,180,-25
87=-120,-60,-65.72,7.2213
88=-180,-85.4703,180,-60

#14 - Oct 15, 2019 01:32 PM - Aureliano Gentile
Thanks Emmanuel, @francesco.mangiacrapa@isti.cnr.it: here the suggested labels together with the coordinates
FAO Major Fishing Areas

Area 18 (Arctic Sea) -180,50.735,180,89.99

Area 21 (Atlantic, Northwest) -82.1588,34.9053,-42,78.1667

Area 27 (Atlantic, Northeast) -44,36,68.5,89.99
Area 31 ( Atlantic, Western Central) -97.8883,5,-40,36
Area 34 (Atlantic, Eastern Central) -40,-6.0975,13.1789,36

Area 37 (Mediterranean and Black Sea) -5.61,30.2639,41.7761,47.2805
Area 41 (Atlantic, Southwest) -69.6095,-60,-20,5

Area 47 (Atlantic, Southeast) -20,-50,30,-6

Area 48 (Atlantic, Antarctic) -84.1019,-83.0411,30,-50

Area 51 ( Indian Ocean, Western) 30,-45,80,30.5192

Area 57 (Indian Ocean, Eastern) 77,-55,150,23.598

Area 58 (Indian Ocean, Antarctic and Southern) 30,-72.4269,150,-45
Area 61 (Pacific, Northwest)  -180,15,180,66.4148

Area 67 (Pacific, Northeast)  -175,40,-122.2911,66.1334

Area 71 (Pacific, Western Central) -180,-28.15,180,20

Area 77 (Pacific, Eastern Central) -175,-25,-77.7792,40.5

Area 81 (Pacific, Southwest)  -180,-60,180,-25

Area 87 (Pacific, Southeast) -120,-60,-65.72,7.2213

Area 88 (Pacific, Antarctic) -180,-85.4703,180,-60

#15 - Oct 15, 2019 03:05 PM - Francesco Mangiacrapa

Hi @aureliano.gentile@fao.org,

about the link copied above (https://pre.d4science.org/catalogue), | apologize, that Catalogue is not accessible from the Internet but from ISTI-CNR
LAN only.

However, | just released the facility Spatial Widget in the Home Page of GRSF Catalogue (see at
https://bluebridge.d4science.org/group/grsf/data-catalogue).

Let me know...

#16 - Oct 15, 2019 03:30 PM - Aureliano Gentile
With thanks.

regarding the FAQ links in https://bluebridge.d4science.org/group/grsf/data-catalogue , | tested a few of them, for example area 88 for which | got as
results also records from area 58.4.3.b or 48.4 which | think should not intersect the area 88 bbox.
Am | wrong @emmanuel.blondel1 @gmail.com ?

Is it an issue of the query and coordinates, or is it correct due to the dimensions of the bounding boxes?

@francesco.mangiacrapa@isti.cnr.it : are you going to add it also in grsf admin or not?

#17 - Oct 15, 2019 04:01 PM - Emmanuel Blondel

@aureliano.gentile@fao.org It is correct, due to the dimensions of the bounding boxes, which are expressed in the WGS84 (EPSG:4326) system
(bounding limits: -180,-90,180,90) that is used to operate the spatial search. In term of bounding box, since the area 88 spreads from -180 to 180
longitude, most of records will of area 48 and 58 will match the spatial query.

Spatial filters are in generally based on bounding box (even in Geonetwork, CSW catalogues, CKAN), although in theory, nothing would prevent to
handle real geometries for performing spatial filters, and bypass limitations to the handling of bounding boxes. Typically, the limitation is for geospatial
features spreading over the date line (more 'Pacific’' centered than Indian/Atlantic ocean centered).

In the past we dealt with this kind of limitation to produce extended layer previews, eg layer
http://www.fao.org/geonetwork/srv/en/main.home?uuid=fao-species-map-grn and its preview:
http://www.fao.org/figis/geoserver/wms?service=WMS&version=1.1.0&request=GetMap&Ilayers=fifao:UN_CONTINENT2,species:SPECIES DIST_G
RN&bbox=111.5558,-56.8651,185.795,-12.0612&width=600&height=362&srs=EPSG:4326 &format=image%2Fpng where we voluntarily increase
boundary limits where the information system - here geoserver- allows to do that (> 180 longitude). This is fine for visualization, but unfortunately not
for spatial filters. If we would try the same approach, for area 88, that means we would translate all the part close to -180 into coordinates > 180, so
even if technically the CKAN spatial filter would work (if permissive as Geoserver, and not taking care of the underlying coordinate reference system
in use), you would not match any record close to -180, only those matching the area 88 polygon part close to 180.

#18 - Oct 15, 2019 04:08 PM - Emmanuel Blondel

Last but not least, in general spatial filter is operated with a small map where the user draws its own bounding box without any association to a
particular area.
This is the intended usage of spatial filtering.

Assigning areas to their bounding boxes for specific spatial filtering is misleading for the user, and not only for areas crossing the date line. It would be
fine actually only for squares/rectangles aligned on lon/axis, it's not the case here.

#19 - Oct 15, 2019 04:53 PM - Francesco Mangiacrapa

Aureliano Gentile wrote:

@francesco.mangiacrapa@isti.cnr.it : are you going to add it also in grsf admin or not?

Jun 17, 2025 4/5


https://pre.d4science.org/catalogue
https://bluebridge.d4science.org/group/grsf/data-catalogue
https://bluebridge.d4science.org/group/grsf/data-catalogue
http://www.fao.org/geonetwork/srv/en/main.home?uuid=fao-species-map-grn
http://www.fao.org/figis/geoserver/wms?service=WMS&version=1.1.0&request=GetMap&layers=fifao:UN_CONTINENT2,species:SPECIES_DIST_GRN&bbox=111.5558,-56.8651,185.795,-12.0612&width=600&height=362&srs=EPSG:4326&format=image%2Fpng
http://www.fao.org/figis/geoserver/wms?service=WMS&version=1.1.0&request=GetMap&layers=fifao:UN_CONTINENT2,species:SPECIES_DIST_GRN&bbox=111.5558,-56.8651,185.795,-12.0612&width=600&height=362&srs=EPSG:4326&format=image%2Fpng

It is available on GRSF-ADMIN Catalogue also.

#20 - Oct 15, 2019 05:08 PM - Aureliano Gentile

With many thanks Francesco.

#21 - Oct 15, 2019 05:55 PM - Francesco Mangiacrapa
- Status changed from Feedback to Closed

Files

screenshot-bluebridge.d4science.org-2019.10.09-16_15_12.png 149 KB Oct 09, 2019 Aureliano Gentile
BBOX PLACEHOLDERS Catalogue PRE.png 106 KB Oct 11, 2019 Francesco Mangiacrapa
Capture.JPG 86.8 KB Oct 11, 2019 Aureliano Gentile
